# Uses of Class
org.eclipse.emf.cdo.compare.CDOComparisonScope.AllContents

Packages that use CDOComparisonScope.AllContents
Package
Description
org.eclipse.emf.cdo.compare
Client concepts for integrating EMF Compare with CDO.

## Uses of CDOComparisonScope.AllContents in org.eclipse.emf.cdo.compare

Methods in org.eclipse.emf.cdo.compare that return CDOComparisonScope.AllContents
Modifier and Type
Method
Description
`static CDOComparisonScope.AllContents`
CDOComparisonScope.AllContents.`create(CDOObject left, CDOView rightView, CDOView[] originView)`
Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`.
`static CDOComparisonScope.AllContents`
CDOComparisonScope.AllContents.`create(CDOObject left, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)`
Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`.